Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002616Piwigouploadpublic2012.04.12 11:082014.09.05 14:18
Reporterfreechelmi 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformAnyOSAnyOS VersionAny
Product Version2.3.4 
Target Version2.7.0beta1Fixed in Version2.7.0beta1 
Summary0002616: Enable HTML5 File Upload features
DescriptionUsing HTML5 standards we can now benefit from several features for uploading files :
- Multiple selection file upload
- Directory file Upload
- Drag and Drop.

The current flash based uploader could be change to an uploader that would choose the best solution depending on the brower ( flash for old browsers, HTML5 for others)

this could be achieved using http://www.plupload.com [^]
Steps To Reproduce- try to upload multiple files with a HTML5 browser without flash installed

- No multiple upload possible.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007104)
flop25 (developer)
2013.08.03 17:31

http://blueimp.github.io/jQuery-File-Upload/index.html [^] seems promising too
(0007113)
msakik (reporter)
2013.09.12 01:01

Is there any update on this?
(0007115)
plg (manager)
2013.09.13 13:08

No update yet :-/
(0007116)
msakik (reporter)
2013.09.13 17:03

I may try to integrate this onto piwigo.
http://blueimp.github.io/jQuery-File-Upload/index.html [^]

Is it ok?
(0007117)
flop25 (developer)
2013.09.13 17:05
edited on: 2013.09.13 17:06

any contribution is greatly appreciated

Thx!

ps: post a patch/diff file

(0007118)
plg (manager)
2013.09.13 17:33

It's quite a big job. You're welcome if you want to contribute :-)

Did you compare plupload and jQuery-File-Upload? Wordpress uses plupload.

(multiple selection on iOS 6 is a really really good thing)
(0007119)
plg (manager)
2013.09.13 17:40
edited on: 2013.09.13 18:10

Don't try to reproduce the same ergonomy as what we have currently with uploadify. It's not a problem to change the way the upload screen displays info, progress and so on.

both plupload and jQuery-File-Upload would handle an upload with 250 files but I wonder how they will display them on screen.

Hey, maybe we could discuss about all this on the forum :-) Please open a discussion about HTML5 upload.

(0007441)
svn (reporter)
2014.05.27 16:11

[Subversion] r28545 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: HTML5 upload (with plupload 2.1.2). First basic implementation. Needs customization.

Chunked upload + Drag & drop (no more Flash)

use a new specific API method pwg.images.upload
(0007444)
svn (reporter)
2014.05.28 11:33

[Subversion] r28552 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616, customizations for plupload

* bug fixed, remove debug inserts in table "plupload"
* display photo title as tooltip on thumbnail
* hide useless .plupload_header
* hide any other form fieldset until an album is selected
(0007445)
svn (reporter)
2014.05.28 18:42

[Subversion] r28554 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: better behavior at the end of upload (more like with uploadify, but no page reload)
(0007452)
flop25 (developer)
2014.06.01 16:43

with $conf['original_url_protection']="images" and for small pictures uploaded (the the thumb img is the original), the thumbnail is not shown after upload (it seems to i.php instead of action.php)
(0007463)
plg (manager)
2014.06.03 10:28

OK flop25 I will see the problem. For now I mark this issue as fixed in version 2.7.0beta1 (for the ChangeLog)
(0007502)
svn (reporter)
2014.07.02 15:34

[Subversion] r28919 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: remove useless code (photos_add_direct_process or uploadify related variables)
(0007610)
svn (reporter)
2014.09.03 19:33

[Subversion] r29393 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2616 move "add files" and "start upload" buttons
(0007611)
svn (reporter)
2014.09.03 21:57

[Subversion] r29394 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2616 add custom big progressbar
(0007612)
svn (reporter)
2014.09.03 22:14

[Subversion] r29395 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2616 tweak progressbar
(0007613)
svn (reporter)
2014.09.03 23:00

[Subversion] r29396 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: graphical changes on upload big progress bar
(0007616)
svn (reporter)
2014.09.05 13:32

[Subversion] r29405 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: animate progress bar
(0007617)
svn (reporter)
2014.09.05 14:18

[Subversion] r29406 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2616: animate progress bar on roma

- Issue History
Date Modified Username Field Change
2012.04.12 11:08 freechelmi New Issue
2012.04.12 11:08 freechelmi browser => any
2012.04.12 11:08 freechelmi Web server => Apache 1.3.x
2012.04.14 14:25 plg Target Version => 2.5.0beta1
2012.11.02 14:49 plg Target Version 2.5.0beta1 => 2.5.0beta2
2012.11.06 10:18 plg Target Version 2.5.0beta2 => 2.5.0beta3
2012.11.19 23:56 plg Target Version 2.5.0beta3 => 2.5.0RC1
2013.08.03 17:31 flop25 Note Added: 0007104
2013.09.12 01:01 msakik Note Added: 0007113
2013.09.13 13:08 plg Note Added: 0007115
2013.09.13 17:03 msakik Note Added: 0007116
2013.09.13 17:05 flop25 Note Added: 0007117
2013.09.13 17:06 flop25 Note Edited: 0007117
2013.09.13 17:33 plg Note Added: 0007118
2013.09.13 17:40 plg Note Added: 0007119
2013.09.13 18:10 plg Note Edited: 0007119
2013.09.16 06:01 TonyViet Note Added: 0007120
2013.09.16 10:35 flop25 Note Deleted: 0007120
2013.12.12 11:58 plg Target Version 2.5.0RC1 => 2.7.0beta1
2014.05.27 16:11 svn Checkin
2014.05.27 16:11 svn Note Added: 0007441
2014.05.27 16:11 plg Status new => assigned
2014.05.27 16:11 plg Assigned To => plg
2014.05.28 11:33 svn Checkin
2014.05.28 11:33 svn Note Added: 0007444
2014.05.28 18:42 svn Checkin
2014.05.28 18:42 svn Note Added: 0007445
2014.06.01 16:43 flop25 Note Added: 0007452
2014.06.03 10:28 plg Note Added: 0007463
2014.06.03 10:29 plg Status assigned => closed
2014.06.03 10:29 plg Resolution open => fixed
2014.06.03 10:29 plg Fixed in Version => 2.7.0beta1
2014.07.02 15:34 svn Checkin
2014.07.02 15:34 svn Note Added: 0007502
2014.09.03 19:33 svn Checkin
2014.09.03 19:33 svn Note Added: 0007610
2014.09.03 21:57 svn Checkin
2014.09.03 21:57 svn Note Added: 0007611
2014.09.03 22:14 svn Checkin
2014.09.03 22:14 svn Note Added: 0007612
2014.09.03 23:00 svn Checkin
2014.09.03 23:00 svn Note Added: 0007613
2014.09.05 13:32 svn Checkin
2014.09.05 13:32 svn Note Added: 0007616
2014.09.05 14:18 svn Checkin
2014.09.05 14:18 svn Note Added: 0007617


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker